/* eslint-disable prettier/prettier */
import React from 'react';

import {useSelector} from 'react-redux';
import {authSelector, onLeaveSelector} from '../../app/selectors';
import OnLeaveContainer from './onLeaveContainer';

export default function OnLeaveScreen() {
  const userDetails = useSelector(authSelector);
  const onLeaveSelect = useSelector(onLeaveSelector);
  const {usersLeavesDayList = [], userRestDayList = []} = onLeaveSelect;
  const onLeaveScreenProps = {
    userDetails,
    usersLeavesDayList,
    userRestDayList,
  };
  return <OnLeaveContainer {...onLeaveScreenProps} />;
}
